Bug 1713871 - Bluetooth keyboard fails to connect in kernel-5.0.16-300.fc30.x86_64 [NEEDINFO]
Summary: Bluetooth keyboard fails to connect in kernel-5.0.16-300.fc30.x86_64
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-25 10:08 UTC by lloyd
Modified: 2019-08-20 17:42 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
jforbes: needinfo? (lloyd)


Attachments (Terms of Use)
kernel logs as requested in step 7 (71.45 KB, text/plain)
2019-05-25 10:08 UTC, lloyd
no flags Details

Description lloyd 2019-05-25 10:08:27 UTC
Created attachment 1573250 [details]
kernel logs as requested in step 7

1. Please describe the problem:
Bluetooth keyboard fails to connect - it just keeps jumping for a time between "connected" and "disconnected" whenever a key on the keyboard is pressed, then it stops changing state at all and stays at "disconnected".

Manually going into the bluetooth gnome program and clicking the "I/O" slider to "on" will connect the device correctly until the next time the keyboard goes to sleep, then the cycle repeats.

2. What is the Version-Release number of the kernel:
kernel-5.0.16-300.fc30.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
kernel-5.0.16-300.fc30.x86_64 is when it first appeared.

Tested working in 5.0.13-300.fc30.x86_64 and below correctly.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

* boot into 5.0.16-300
* at any screen (login or logged in) attempt to connect bluetooth keyboard by waking it. 
* issue occurs

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

yes

6. Are you running any modules that not shipped with directly Fedora's kernel?:

no

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 sqrt123 2019-05-25 13:43:20 UTC
I am behaving the same way with my bluetooth mouse. Up to kernel version 5.0.14-300.fc30.x86_64 everything works correctly. From 5.0.16-300.fc30.x86_64 the same problems described above.

Comment 2 Steve 2019-05-26 17:53:18 UTC
Same here with my bluetooth mouse.
Kernel 5.0.13 works, kernel 5.0.16 or later don't work. 

seems to be the same bug #1713980

Comment 3 Steve 2019-05-27 16:10:24 UTC
Using kernel 5.1.5 from the update-testing repo fixes the issue for me.

Comment 4 lloyd 2019-06-09 19:48:33 UTC
tested and not resolved in kernel-core-5.1.6-300.fc30.x86_64 in the normal updates tree.

Comment 5 lloyd 2019-06-23 19:57:39 UTC
Resolved in kernel 5.1.9-300.fc30.x86_64 in the normal updates tree.

Comment 6 Justin M. Forbes 2019-08-20 17:42:11 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.